#include <stdio.h>
/*
 * output the tty device name and the matching tty type (from the file ttytype)
 */

main(argc, argv)
int	argc;
char	*argv[];
{
    char	*p;
    char	*q;
    FILE	*f;
    int		c;
    int		skip = 0;
    char	*ttyname();
    char	*getenv();

    p = ttyname(1);		/* stdout, not stdin; unlike tty(1) */
    freopen("term", "w", stdout);
    if (p == (char *)0)
	printf("/dev/unknown ");
    else
	printf("%s ", p);

    if (p != (char *)0 && (f = fopen("ttytype", "r")) != NULL) {
	q = p;
	while ((c = getc(f)) != EOF) {
	    if (skip) {
		if (c == '\n')
		    skip = 0;
	    }
	    else if (*q++ != c) {
		q = p;
		skip = 1;
	    }
	    else if (*q == '\0') {
		while ((c = getc(f)) == ' ' || c == '\t')
		    ;
		do {
		    putchar(c);
		} while ((c = getc(f)) != '\n');
		putchar('\n');
		exit(0);
	    }
	}
    }

    p = getenv("TERM");
    if (p == (char *)0) {
	    putchar('\n');
	    exit(1);
    }
    printf("%s\n", p);
    exit(0);
}
